#ifndef GGAP_GWS_H
#define GGAP_GWS_H

#include <QFile>
#include <moo/unit-tests.h>

namespace ggap {

class GwsReaderPrivate;
class GwsReader {
    friend class GwsReaderPrivate;
    GwsReaderPrivate *impl;
    MOO_DECLARE_UNIT_TESTS()

public:
    GwsReader(const QString &file);
    ~GwsReader();

    bool unpack(QString &error);
    QString workspace();
    QString worksheet();
    bool terminal();
};

class GwsWriterPrivate;
class GwsWriter {
    friend class GwsWriterPrivate;
    GwsWriterPrivate *impl;
    MOO_DECLARE_UNIT_TESTS()

public:
    GwsWriter(const QString &dest, bool terminal);
    ~GwsWriter();

    bool open(QString &error);
    bool write(QString &error);
    void close();

    QString workspaceFilename();
    bool addWorksheet(const QByteArray &xml, QString &error);
};

bool guessFileType(const QString &filename, QString *type, QString &error);

}

#endif // GGAP_GWS_H
